aboutsummaryrefslogtreecommitdiffstats
path: root/testing/expect/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-02-05 23:55:55 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-02-25 09:50:42 +0000
commit26c71e835d94496f0a1b508bb5ef60037839d528 (patch)
tree8ce93741effd153752ca3cd6037bc3b99d628aca /testing/expect/APKBUILD
parent9e33a5e583caeb7dea56ebbc2419199ee6559e5a (diff)
downloadaports-26c71e835d94496f0a1b508bb5ef60037839d528.tar.gz
aports-26c71e835d94496f0a1b508bb5ef60037839d528.tar.bz2
aports-26c71e835d94496f0a1b508bb5ef60037839d528.tar.xz
testing/expect: new aport
Diffstat (limited to 'testing/expect/APKBUILD')
-rw-r--r--testing/expect/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/expect/APKBUILD b/testing/expect/APKBUILD
new file mode 100644
index 0000000000..94f06b4daf
--- /dev/null
+++ b/testing/expect/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=expect
+pkgver=5.45
+pkgrel=0
+pkgdesc="A tool for automating interactive applications"
+url="http://www.nist.gov/el/msid/expect.cfm"
+arch="all"
+license="custom"
+depends="tcl"
+depends_dev="tcl-dev"
+makedepends="$depends_dev"
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/project/expect/Expect/$pkgver/$pkgname$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/share/man \
+ --with-tcl=/usr/lib \
+ --with-tclinclude=/usr/include \
+ --disable-rpath
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="44e1a4f4c877e9ddc5a542dfa7ecc92b expect5.45.tar.gz"